%define module_name	pentanet
%define module_version	2.3.1
%define module_release	alt8.6.1

%define kversion	2.4.26
%define krelease	alt6.1
%define flavour		vs-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: %module_name kernel module
Summary(ru_RU.KOI8-R):   %module_name
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware
Packager: Denis Ovsienko <pilot@altlinux.ru>
URL: http://www.pentamedia.com/english/supports/technical-netfile.htm
ExclusiveOS: Linux
ExclusiveArch: %ix86

BuildPreReq: kernel-build-tools >= 0.7
BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
Provides: kernel-modules-%module_name

%description
%module_name provides support for Pent@NET DVB receiver card

%description -l ru_RU.KOI8-R
%module_name    DVB-ɣ Pent@NET

%prep
#$#%setup -n %module_name-%module_version
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C driver -e CC=gcc

%install
# original Makefile is useless here :(
install -D driver/%module_name.o %buildroot%module_dir/%module_name.o

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2.3.1-alt8.6.1
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2.3.1-alt7.6.1
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2.3.1-alt6.6.1
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2.3.1-alt5.6.1
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2.3.1-alt4.6.1
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Mon Oct 20 2003 Sergey Vlasov <vsu@altlinux.ru> 2.3.1-alt3.6.1
- imported to CVS
- fixed module install dir

* Mon Oct 13 2003 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt3
- removed fileutils PreReq

* Sun Oct 12 2003 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt2
- fixed deps to non-versioned kernel source

* Sat Oct 11 2003 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt1
- initial Sisyphus build

